<?php

require 'daos/DAOGenerico.class.php';

/**
 * Description of ControladorGenerico
 *
 * @author Bruno
 */
class ControladorGenerico {

    private $dao;

    function __construct() {
        $this->dao = new DAOGenerico();
    }

    public function salvar($object) {
        return $this->dao->save($object);
    }

    public function alterar($object) {
        return $this->dao->update($object);
    }

    public function deletar($object) {
        return $this->dao->delete($object);
    }

    public function find($entityClass, $primaryKey) {
        return $this->dao->find($entityClass, $primaryKey);
    }

    public function buscaGenerica($tipo, $valor, $objeto) {
        return $this->dao->buscaGenerica($tipo, $valor, $objeto);
    }

}

?>
